accounts/urls.py
from django.conf.urls import url
from .import views

app_name = 'accounts'

urlpatterns =[
    url(r'^signup_login/$' , views.signup_users , name="signup"),
    url(r'^login/$' , views.loginpage , name="loginpage"),
    url (r'profiles/$' , views.view_profile , name="profil_accounts"),
    url(r'^profiles/edit/$' , views.edit_profile , name="editprofile"),
    url(r'^logout/$' , views.logout_viwe , name="logout"),
    url(r'^test/$' , views.test , name="test"),
    url (r'^profile_charity$' , views.view_profile_charity , name="profile_charity"),
]

charity/urls.py
from django.conf.urls import url
from .import views

app_name = 'charity'

urlpatterns =[
    url(r'^add_charity/$' , views.charityadd , name="addCharity"),
    url(r'^addProject/$',views.addProject,name="addProject"),
    url(r'^golrizoonha/$', views.golrizoon_list , name="golrizooon"),
    url(r'^little_dream/$' , views.little_dream , name="little_dream"),
    url (r'^Profile_charity/$' , views.accepted , name="profile_charity"),
]

index/urls.py
from django.conf.urls import url
from .import views

app_name = 'index'

urlpatterns =[
    url(r'^/$' , views.show_index , name="show_index"),
]

ufl_project/urls.py
from django.contrib import admin
from django.urls import path
from django.conf.urls import url , include
from .import views
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.conf.urls.static import static
from django.conf import settings

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^accounts/', include('accounts.urls')),
    url(r'^charity/', include('charity.urls')),
    url(r'^index/', include('index.urls')),
]

urlpatterns +=staticfiles_urlpatterns()

templates/base.html
{% load static%}
<!DOCTYPE html>
<html>
    <head>
        <script src="https://code.jquery.com/jquery.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
        <meta charset="utf-8">
        <link rel="stylesheet" href="{% static 'bootstrap.css' %}">
        <link rel="stylesheet" href="{% static 'style.css' %}">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        
        <body>
            <nav class="navbar navbar-expand-sm bg-dark navbar-dark" style="position: fixed; display: flex;  width: 100%; ">
                <!-- Brand -->
                <nav>
                    <ul>
                        <li>
                           <form action="{% url 'accounts:logout' %}" method="POST">
                                {% csrf_token %}
                                <button class="btn btn-Defoult" type="submit">خروج</button>
                           </form> 
                        </li>
                    </ul>
                </nav>
              
                <!-- Links -->
                <ul class="navbar-nav ml-auto">
                  <li class="nav-item">
                    <a class="nav-link" href="#sesoote">کمک سه‌سوته</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="{% url 'charity:addCharity' %}">ثبت خیریه</a>
                  </li>
              
                  <!-- Dropdown -->
                  <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbardrop" data-toggle="dropdown">
                      انواع کمک
                    </a>
                    <div class="dropdown-menu">
                      <a class="dropdown-item" href="{% url 'charity:golrizooon' %}">گلریزون‌ها</a>
                      <a class="dropdown-item" href="#">کمپین‌ها</a>
                      <a class="dropdown-item" href="{% url 'charity:little_dream' %}">آرزوهای‌کوچک</a>
                    </div>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="{% url 'accounts:signup' %}">ورود/ثبت‌‌نام</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="{% url 'index:show_index' %}">صفحه اصلی</a>
                  </li>
                  <a class="navbar-brand " href="#">چتری برای زندگی</a>
                </ul>
    
              </nav>



            
            {% block content %}
            {% endblock %}
            <!................................. FOOTER ........................>
            <div class="footerfinal">
                <div class="footerfinal_content">
                    <div class="footerfinal_content_title">
                         </p>شبکه‌های اجتماعی<p>
                         <hr/>
                    </div>
                        <div class="footerfinal_content_detail">
                        </div>
                </div>
            
                 <div class="footerfinal_content2">
                     <div class="footerfinal_content_title">
                     </p>درباره چتری برای زندگی<p>
                     <hr/>
                     </div>
                        <div class="footerfinal_content_detail">
                            <p>چتری برای زندگی بستری امن برای کمک به نیازمندان است. انواع نیازنمندی‌ها در این بستر تفکیک شده‌اند به گلریزون‌ها، آرزوهای کوچک و کمپین ها</p>
                            <p> !به ما بپیوندید! به کمکتون نیاز داریم
                            </p>
                            <button type="button" class="btn btn-sabtkheireye float-sm-none" style=" color: rgb(23, 104, 141) ;background-image: linear-gradient(-90deg, #68a9d4, #8edae2);">عضویت</button>
            
                        </div>
                </div>
            
                 <div class="footerfinal_content3">
                    <div class="footerfinal_content_title">
                        </p>دسترسی سریع<p>
                        <hr/>
                     </div>
                        <div class="footerfinal_content_detail">
                            <a href=""><p>درباره ما</p></a>
                             <a href=""><p>تماس با ما</p></a>
                        </div>
                </div>
            </div>
            
            </body>


    </head>
</html>

templates/base_nav_index.html
{% load static%}
<!DOCTYPE html>
<html>
    <head>
        <script src="https://code.jquery.com/jquery.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
        <meta charset="utf-8">
        <link rel="stylesheet" href="{% static 'bootstrap.css' %}">
        <link rel="stylesheet" href="{% static 'style.css' %}">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        
        <body>
            



            
            {% block content %}
            {% endblock %}
           
            
            </body>


    </head>
</html>

templates/base_withot_footer.html
{% load static%}
<!DOCTYPE html>
<html>
    <head>
        <script src="https://code.jquery.com/jquery.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
        <meta charset="utf-8">
        <link rel="stylesheet" href="{% static 'bootstrap.css' %}">
        <link rel="stylesheet" href="{% static 'style.css' %}">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        
        <body>
            <nav class="navbar navbar-expand-sm bg-dark navbar-dark" style="position: fixed; display: flex; width: 100%;  ">
                <!-- Brand -->
                <nav>
                    <ul>
                        <li>
                           <form action="{% url 'accounts:logout' %}" method="POST">
                                {% csrf_token %}
                                <button class="btn btn-Defoult" type="submit">خروج</button>
                           </form> 
                        </li>
                    </ul>
                </nav>
              
                <!-- Links -->
                <ul class="navbar-nav ml-auto">
                  <li class="nav-item">
                    <a class="nav-link" href="#sesoote">کمک سه‌سوته</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'charity:addCharity' %}">ثبت خیریه</a>
          </li>
      
          <!-- Dropdown -->
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbardrop" data-toggle="dropdown">
              انواع کمک
            </a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="{% url 'charity:golrizooon' %}">گلریزون‌ها</a>
              <a class="dropdown-item" href="#">کمپین‌ها</a>
              <a class="dropdown-item" href="{% url 'charity:little_dream' %}">آرزوهای‌کوچک</a>
            </div>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'accounts:signup' %}">ورود/ثبت‌‌نام</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'index:show_index' %}">صفحه اصلی</a>
          </li>
          <a class="navbar-brand " href="#">چتری برای زندگی</a>
                </ul>
    
              </nav>



            
            {% block content %}
            {% endblock %}
           
            
            </body>


    </head>
</html>